#include <iostream>
using namespace std;
int main() {
    string T; string revT;
    cin >> T;
    for (int i = T.size(); i > 0; i--) {
        revT.push_back(T[i-1]);
    }
    int br = T.size() - 1;
    if(T == revT) {
        cout << 1;
    }
    else{
        for(int j = 0; j < T.size() / 2; j++) {
            if(T[j] == T[T.size() - 1 - j]){
                br = br - 2;
            }
            else{
                break;
            }
        }
        cout << br;
    }
}